Skip to main content
GET
Get payment records

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Query Parameters

order
enum<string>
default:asc

Order by

Available options:
asc,
desc
limit
integer
default:100

Max is 100

Required range: 1 <= x <= 100
pagination_token
string

A token, obtained from previous page. Prior over other filters

sort
enum<string>

Allowed sort fields

Available options:
paid_at,
amount,
overpaid_amount
is_external
boolean

Identifies whether payment is from our rails or external system

object_id
string<uuid>

ID of the object, that is connected to payment

object_id__in
string<uuid>[]

List of IDs of the objects, that are connected to payments

object_type
enum<string>

Type of an object, which is connected with payment

Available options:
receivable,
payable
created_at__gt
string<date-time>

Created after this datetime (exclusive)

created_at__lt
string<date-time>

Created before this datetime (exclusive)

updated_at__gt
string<date-time>

Updated after this datetime (exclusive)

updated_at__lt
string<date-time>

Updated before this datetime (exclusive)

paid_at__gt
string<date-time>

Paid after this datetime (exclusive)

paid_at__lt
string<date-time>

Paid before this datetime (exclusive)

planned_payment_date
string<date>

Optional date of the upcoming payment (equality)

planned_payment_date__gt
string<date>

Planned after this date (exclusive)

planned_payment_date__lt
string<date>

Planned before this date (exclusive)

planned_payment_date__gte
string<date>

Planned at or after this date (inclusive)

planned_payment_date__lte
string<date>

Planned at or before this date (inclusive)

status
enum<string>

One of the payment record statuses

Available options:
created,
processing,
succeeded,
canceled
payment_intent_status
string

Payment intent status as a raw string

payment_method
string

Payment method used for the transaction

Response

Successful Response

data
object[]
required
next_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).

prev_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).